# Country Dictionary

A privacy-respecting Urban Dictionary client in Flask - Mostly based on https://git.vern.cc/cobra/rural-dict

## Instances

| **URL**                            | **Country** | **Ownername** | **Owner Website**        |     |
| ---------------------------------- | ----------- | ------------- | ------------------------ | --- |
| https://country-dict.winscloud.net | TH          | WinsDominoes  | https://winsdominoes.net |     |

## About

Country Dictionary scrapes _Urban Dictionary_ for data and then displays it in HTML & CSS.

### Supports

-   Define a word with multiple entries
-   Pagination
-   Random list of words
-   User pages
-   Urban Dictionary home with words of the day
-   Matches urban dictionary's endpoints for features listed above

### Dependencies

-   bs4
-   requests
-   waitress
-   Relatively new version of python

### Redirection

Simply replace an _Urban Dictionary_ URL with a Country Dictionary URL from the instance list above.

```
https://urbandictionary.com/define.php?term=eevee

https://country-dict.winscloud.net/define.php?term=eevee
```

NOTE: More endpoints are supported

## Contributors

-   https://git.vern.cc/cobra/rural-dict - the original Rural Dictionary project
-   https://codeberg.org/zortazert - created the initial Urban Dictionary frontend using JavaScript and helped develop Rural Dictionary
